/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#ifndef INCLUDED_TOOLKIT_HELPER_SERVICENAMES_HXX
#define INCLUDED_TOOLKIT_HELPER_SERVICENAMES_HXX

#include <sal/types.h>

extern const sal_Char szServiceName_Toolkit[], szServiceName2_Toolkit[];
extern const sal_Char szServiceName_MVCIntrospection[], szServiceName2_MVCIntrospection[];
extern const sal_Char szServiceName_PopupMenu[], szServiceName2_PopupMenu[];
extern const sal_Char szServiceName_MenuBar[], szServiceName2_MenuBar[];
extern const sal_Char szServiceName_Pointer[], szServiceName2_Pointer[];
extern const sal_Char szServiceName_UnoControlContainer[];
extern const sal_Char szServiceName_UnoControlContainerModel[];
extern const sal_Char szServiceName2_UnoMultiPageControl[];
extern const sal_Char szServiceName2_UnoMultiPageModel[];
extern const sal_Char szServiceName2_UnoPageControl[];
extern const sal_Char szServiceName2_UnoPageModel[];
extern const sal_Char szServiceName2_UnoFrameControl[];
extern const sal_Char szServiceName2_UnoFrameModel[];
extern const sal_Char szServiceName_TabController[], szServiceName2_TabController[];
extern const sal_Char szServiceName_TabControllerModel[], szServiceName2_TabControllerModel[];
extern const sal_Char szServiceName_UnoControlDialog[], szServiceName2_UnoControlDialog[];
extern const sal_Char szServiceName_UnoControlDialogModel[], szServiceName2_UnoControlDialogModel[];
extern const sal_Char szServiceName_UnoControlEdit[], szServiceName2_UnoControlEdit[];
extern const sal_Char szServiceName_UnoControlEditModel[];
extern const sal_Char szServiceName_UnoControlFileControl[];
extern const sal_Char szServiceName_UnoControlFileControlModel[];
extern const sal_Char szServiceName_UnoControlButton[];
extern const sal_Char szServiceName_UnoControlButtonModel[];
extern const sal_Char szServiceName_UnoControlImageButton[], szServiceName2_UnoControlImageButton[];
extern const sal_Char szServiceName_UnoControlImageButtonModel[], szServiceName2_UnoControlImageButtonModel[];
extern const sal_Char szServiceName_UnoControlImageControl[];
extern const sal_Char szServiceName_UnoControlImageControlModel[];
extern const sal_Char szServiceName_UnoControlRadioButton[];
extern const sal_Char szServiceName_UnoControlRadioButtonModel[];
extern const sal_Char szServiceName_UnoControlCheckBox[];
extern const sal_Char szServiceName_UnoControlCheckBoxModel[];
extern const sal_Char szServiceName_UnoControlListBox[];
extern const sal_Char szServiceName_UnoControlListBoxModel[];
extern const sal_Char szServiceName_UnoControlComboBox[];
extern const sal_Char szServiceName_UnoControlComboBoxModel[];
extern const sal_Char szServiceName_UnoControlFixedText[];
extern const sal_Char szServiceName_UnoControlGroupBox[];
extern const sal_Char szServiceName_UnoControlGroupBoxModel[];
extern const sal_Char szServiceName_UnoControlDateField[];
extern const sal_Char szServiceName_UnoControlDateFieldModel[];
extern const sal_Char szServiceName_UnoControlTimeField[];
extern const sal_Char szServiceName_UnoControlTimeFieldModel[];
extern const sal_Char szServiceName_UnoControlNumericField[];
extern const sal_Char szServiceName_UnoControlNumericFieldModel[];
extern const sal_Char szServiceName_UnoControlCurrencyField[];
extern const sal_Char szServiceName_UnoControlCurrencyFieldModel[];
extern const sal_Char szServiceName_UnoControlPatternField[];
extern const sal_Char szServiceName_UnoControlPatternFieldModel[];
extern const sal_Char szServiceName_UnoControlFormattedField[];
extern const sal_Char szServiceName_UnoControlFormattedFieldModel[];
extern const sal_Char szServiceName_UnoControlProgressBar[];
extern const sal_Char szServiceName_UnoControlProgressBarModel[];
extern const sal_Char szServiceName_UnoControlScrollBar[];
extern const sal_Char szServiceName_UnoControlScrollBarModel[];
extern const sal_Char szServiceName_UnoControlFixedLine[];
extern const sal_Char szServiceName_UnoControlFixedLineModel[];
extern const sal_Char szServiceName_PrinterServer[], szServiceName2_PrinterServer[];
extern const sal_Char szServiceName_UnoControlRoadmap[];
extern const sal_Char szServiceName_UnoControlRoadmapModel[];

extern const sal_Char szServiceName_UnoSpinButtonControl[], szServiceName_UnoSpinButtonModel[];

extern const sal_Char szServiceName_GridControl[];
extern const sal_Char szServiceName_DefaultGridDataModel[];
extern const sal_Char szServiceName_DefaultGridColumnModel[];
extern const sal_Char szServiceName_GridColumn[];
extern const sal_Char szServiceName_SortableGridDataModel[];

extern const sal_Char szServiceName_AnimatedImagesControl[];
extern const sal_Char szServiceName_AnimatedImagesControlModel[];
extern const sal_Char szServiceName_SpinningProgressControlModel[];

extern const sal_Char szServiceName_UnoControlTabPageModel[], szServiceName2_UnoControlTabPageModel[];
extern const sal_Char szServiceName_UnoControlTabPage[];
extern const sal_Char szServiceName_UnoControlTabPageContainerModel[];
extern const sal_Char szServiceName_UnoControlTabPageContainer[];

// ExtUnoWrapper:
extern const char szServiceName_ImageProducer[], szServiceName2_ImageProducer[];
#endif // INCLUDED_TOOLKIT_HELPER_SERVICENAMES_HXX

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
